<?php
$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_dda96eb36c566" . "4b9e2bd434a776" . "edb25" => base64_decode("L1BoaW" . "5nTG9n" . "Z2VyLn" . "BocA=="), "_dcf86ccc31af7f63af361" . "15aa12b1ee7" => base64_decode("Y2hka" . "XI="), "_e13e80e20d331face5f56ce" . "9d9be42cd" => base64_decode("cmVzdG9yZV9lcnJvcl9oYW5" . "kbGVy"), "_7618fa2e44dd" . "7c2de26ed1413" . "b53cddd" => base64_decode("Ly4uLy4uLy4" . "uL3NldHVw"), "_70dc1ee5e25ad" . "6e161d08e0a3cd" . "16124" => base64_decode("VXBkYXRpbmcgYXBwbGljYX" . "Rpb24gaW5zdGVhZA=="), "_eb3d186008f632a0f30f" . "9ceb2ecf5d9c" => base64_decode("cmVjb3Zlc" . "g=="), "_11def3af2a83346" . "8dd0e4ff1f0bc541" . "4" => base64_decode("Li4vY29yZS9ib290c3" . "RyYXAucGhw"), "_9342063570b40df2075204394b59df5" . "9" => base64_decode("Z2V0Y" . "3dk"));
require_once __DIR__ . $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_dda96eb36" . "c5664b9e2b" . "d434a776ed" . "b25"];
use Claromentis\Setup\Exception\AlreadyInstalledException;
use Claromentis\Setup\Util;




class DbInstallTask extends Task
{
    
    
    
    
    protected $application = null;
    public function init()
    {
    }
    public function main()
    {
        $_33cd0a6efc4dc46179519f04eaa36255 = $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_9342063570b40df2075" . "204394b59df59"]();
        $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_dcf86ccc" . "31af7f63a" . "f36115aa1" . "2b1ee7"](__DIR__ . $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_7618fa2e44dd7c2de26ed1413" . "b53cddd"]);
        require_once $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_11def3af2a833468d" . "d0e4ff1f0bc5414"];
        $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_e13e80e20d331fac" . "e5f56ce9d9be42cd"]();
        global $g_application;
        try {
            global $db;
            $db = $g_application->db;
            $_4825e032d19ebe3edee32a6a54c7afd2 = Util::GetApplicationPath($this->application, $g_application, $this->project);
            $_19eb5dd674f41f73f28cc12c375e91bd = new \Claromentis\Setup\Task\Install($db, $this->application, $_4825e032d19ebe3edee32a6a54c7afd2);
            $_19eb5dd674f41f73f28cc12c375e91bd->setLogger(new PhingLogger($this->project));
            $_19eb5dd674f41f73f28cc12c375e91bd->setProperties($this->project->GetProperties());
            try {
                $_19eb5dd674f41f73f28cc12c375e91bd->Install();
            } catch (AlreadyInstalledException $e) {
                if ($this->project->getProperty($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_eb3d186008f632a0f30f9ceb" . "2ecf5d9c"])) {
                    $this->log($e->getMessage(), Project::MSG_WARN);
                    $this->log($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_70dc1ee5e25ad6e161d08e0a3c" . "d16124"], Project::MSG_INFO);
                    $_19eb5dd674f41f73f28cc12c375e91bd->Update();
                } else {
                    throw $e;
                }
            }
        } catch (Exception $e) {
            $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_dcf86ccc31a" . "f7f63af36115" . "aa12b1ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
            $this->log($e->getMessage(), Project::MSG_ERR);
            throw new BuildException($e->getMessage());
        }
        $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_dcf86ccc31af7f63af" . "36115aa12b1ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
    }
    
    
    
    
    
    
    public function setApplication($_f44467aacb8a4520c7382769d24aa422)
    {
        $this->application = $_f44467aacb8a4520c7382769d24aa422;
    }
}